Package org.apache.lucene.util.hppc

## Class IntIntHashMap.KeysContainer

- java.lang.Object
- - org.apache.lucene.util.hppc.IntIntHashMap.IntContainer
  - - org.apache.lucene.util.hppc.IntIntHashMap.KeysContainer

- All Implemented Interfaces:
    `Iterable<IntIntHashMap.IntCursor>`
  Enclosing class:
    IntIntHashMap

      public final class IntIntHashMap.KeysContainer
      extends IntIntHashMap.IntContainer

  A view of the keys inside this hash map.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeysContainer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<IntIntHashMap.IntCursor>` | `iterator()` |

    - ### Methods inherited from class org.apache.lucene.util.hppc.IntIntHashMap.IntContainer

      `size, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### KeysContainer

          public KeysContainer()

  - ### Method Detail

    - #### iterator

          public Iterator<IntIntHashMap.IntCursor> iterator()